## pymca 5.9.4

=== debian/changelog ===
pymca (5.9.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/p/0002-fix-data-installation.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 03 Mar 2025 16:33:31 +0100
