=== debian/tests/control ===
Test-Command: set -efu
 ; export HOME=$AUTOPKGTEST_TMP
 ; export LIBGL_ALWAYS_INDIRECT=1
 ; for py in $(py3versions -s)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24 -c +extension GLX +render -noreset" $py -m PyMca5.tests.TestAll 2>&1
 ; done
Depends:
 locales-all,
 python3-all,
 python3-pymca5,
 xauth,
 xvfb,

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr
